# ECE 108: Discrete Math 1

An **axiom** is a defined core assumption held to be true.

!!! example
    True is not false.

A **theorem** is a true statement derived from axioms via logic or other theorems.

!!! example
    True or false is true.

A **proposition/statement** must be able to have the property that it is exclusively true or false.

!!! example
    The square root of 2 is a rational number.

An **open sentence** becomes a proposition if a value is assigned to the variable.

!!! example
    $x^2-x\geq 0$

## Truth tables

A truth table lists all possible **truth values** of a proposition, containing independent **statement variables**.

!!! example
    | p | q | p and q |
    | --- | --- | --- |
    | T | T | T |
    | T | F | F |
    | F | T | F |
    | F | F | F |

## Logical operators

!!! definition
    - A **compound statement** is composed of **component statements** joined by logical operators AND and OR.

The **negation** operator is equivalent to logical **NOT**.

$$\neg p$$

The **conjunction** operaetor is equivalent to logical **AND**.

$$p\wedge q$$

The **disjunction** operator is equivalent to logical **OR**.

$$p\vee q$$

The **implication** sign requires that if $p$ is true, $q$ is true, such that *$p$ implies $q$*. The first symbol is the **hypothesis** and the second symbol is the **conclusion**.

$$p\implies q$$

| $p$ | $q$ | $p\implies q$ |
| --- | --- | --- |
| T | T | T |
| T | F | F |
| F | T | T |
| F | F | F |


